Package com.sun.jna.platform.unix

## Class X11.Xrender.XRenderDirectFormat

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.unix.X11.Xrender.XRenderDirectFormat

Enclosing interface:
  X11.Xrender

    @FieldOrder({"red","redMask","green","greenMask","blue","blueMask","alpha","alphaMask"})
    public static class X11.Xrender.XRenderDirectFormat
    extends Structure

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`short` `alpha`
`short` `alphaMask`
`short` `blue`
`short` `blueMask`
`short` `green`
`short` `greenMask`
`short` `red`
`short` `redMask`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`XRenderDirectFormat()`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### red

    public short red

#### redMask

    public short redMask

#### green

    public short green

#### greenMask

    public short greenMask

#### blue

    public short blue

#### blueMask

    public short blueMask

#### alpha

    public short alpha

#### alphaMask

    public short alphaMask

### Constructor Detail

#### XRenderDirectFormat

    public XRenderDirectFormat()